package com.learning.util;

import com.learning.Learning;

import net.minecraft.item.Item;
import net.minecraft.registry.RegistryKeys;
import net.minecraft.registry.tag.TagKey;
import net.minecraft.util.Identifier;

public class ModTags {
    public static void registerTags() {
        Learning.LOGGER.info("Registering Tags for " + Learning.MOD_ID + ".");
    }

    public static class ItemTags {

        public static TagKey<Item> DIAMOND_TRANSFORMABLE = register("diamond_transformable");

        private static TagKey<Item> register(String tagId) {
            return TagKey.of(RegistryKeys.ITEM, Identifier.of(Learning.MOD_ID, tagId));
        }
    }
}
